@import "sass-essentials";

.file {
  padding-left: 30px;
  min-height: 20px;
  background-repeat: no-repeat;
  background-size: 20px;
  background-position: 0 2px;
  background-size: 18px;
  font-size: 17px;
  line-height: 26px;
  display: inline-block;
  word-break: break-word;
}

.file--general,
.file--application-octet-stream {
  background-image: url('../images/dist/blanc-icon.svg');
}
.file--package-x-generic {
  background-image: url('../images/dist/zip-icon.svg');
}
.file--x-office-spreadsheet {
  background-image: url('../images/dist/xls-icon.svg');
}
.file--x-office-document {
  background-image: url('../images/dist/doc-icon.svg');
}
.file--x-office-presentation {
  background-image: url('../images/dist/doc-icon.svg');
}
.file--mime-application-vnd-openxmlformats-officedocument-wordprocessingml-template {
  background-image: url('../images/dist/dotx-icon.svg');
}
.file--text-x-script {
  background-image: url('../images/dist/blanc-icon.svg');
}
.file--text-html {
  background-image: url('../images/dist/txt-icon.svg');
}
.file--text-plain {
  background-image: url('../images/dist/txt-icon.svg');
}
.file--application-pdf {
  background-image: url('../images/dist/pdf-icon.svg');
}
.file--application-x-executable {
  background-image: url('../images/dist/blanc-icon.svg');
}
.file--audio {
  background-image: url('../images/dist/blanc-icon.svg');
}
.file--video {
  background-image: url('../images/dist/blanc-icon.svg');
}
.file--text {
  background-image: url('../images/dist/txt-icon.svg');
}
.file--image {
  background-image: url('../images/dist/pic-icon.svg');
}
